#define EINS
#define ZWEI=2
#define DREI=eins, zwei, drei
Zeile Nummer 1 - immer angezeigt
Zeile Nummer 2 - immer angezeigt
Zeile Nummer 3 - immer angezeigt
Zeile Nummer 4 - immer angezeigt
Zeile Nummer 5 - immer angezeigt
Zeile Nummer 6 - immer angezeigt
#ifdef EINS
Zeile Nummer A1 - nur bei #ifdef E I N S
Zeile Nummer A2 - nur bei #ifdef E I N S
Zeile Nummer A3 - nur bei #ifdef E I N S
Zeile Nummer A4 - nur bei #ifdef E I N S
#else
Zeile Nummer B1 - else bei #ifdef E I N S
Zeile Nummer B2 - else bei #ifdef E I N S
Zeile Nummer B3 - else bei #ifdef E I N S
Zeile Nummer B4 - else bei #ifdef E I N S
#endif
Zeile Nummer 7 - immer angezeigt
Zeile Nummer 8 - immer angezeigt
Zeile Nummer 9 - immer angezeigt
#include makrotest.inc
#ifdef ZWEI
Zeile Nummer C1 - nur bei #ifdef Z W E I
Zeile Nummer C2 - nur bei #ifdef Z W E I
Zeile Nummer C3 - nur bei #ifdef Z W E I
Zeile Nummer C4 - nur bei #ifdef Z W E I
#endif
Zeile Nummer 10 - mit Makro ZWEI (Z W E I) ZWEI.
Zeile Nummer 11 - mit Makro DREI, 1,2,3
Zeile Nummer 12 - Mit Makro ZWEI und DREI zusammen.
Zeile Nummer 13 - mit Makro EINS (E I N S)
#ifdef DREI
EINS
ZWEI
DREI
#endif